<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        // secttion-1

    //    let arr=[1,2,3,4,5,6,7,8,9];
    //    console.log(arr);
    //   arr.push(0);
    //    console.log(arr);
    //    arr[arr.length]=00;
    //    console.log(arr);
    //    arr[4]=27;
    //    console.log(arr);
    //    console.log(arr[123]);
    //    arr.pop();
    //    console.log(arr);
    //    arr.push();
    //    console.log(arr.length);
    //    arr.unshift(10);
    //    console.log(arr);
    //    arr.shift();
    //    console.log(arr);


    // section-2

    // let marks=new Array(1,2,3,4);
    // for(let index in marks){
        
    //     console.log(index);
    // }
    // for(let item of marks)
    // console.log(item);
    // for(let i=0;i<marks.length;i++)
    // console.log(marks[i]);


    // section-3

    // let student1=new String('tejas');
    // let student='amit';
    // console.log(student[0]);
    // console.log(student.length);
    // for(let i=0;i<student.length;i++)
    // console.log(student[i]);
    // for(let index in student){
        
    //     console.log(index);
    // }
    // for(let item of student1)
    // console.log(item);


    // section-4 for in works for obj but for of don't
    // let student={
    //     name:'amit',
    //     cource:'mern',
    //     phone:8384004520
        
    // }
    // console.log(student.name);
    // for(let index in student){
    //     console.log(index);
    //     console.log(student.index);
    // }
    // for(let item of student)
    // console.log(item);
  


    // section-5
// let name='amit';
// console.log(typeof name);
//     let arr=[1,2,1,1];
//     console.log(typeof arr);
//     let student={
//         name:'amit',
//         phone:79898
//     };
//     console.log( typeof student);


    </script>
</body>
</html>